import { e as t } from "../index-DSGwv2Yx.js";
import "./cpu/adamMoments.js";
import "./webgl/adamMoments.js";
function s(e, n, r, m, o) {
  return t().runKernel("AdamMoments", { moments: e, gradient: n, scaling: o }, { beta1: r, beta2: m });
}
export {
  s as adamMoments
};
